Bug 140095 - terminal->pvt->has_selection && terminal->pvt->selection != NULL invariant being broken.
Summary: terminal->pvt->has_selection && terminal->pvt->selection != NULL invariant be...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vte   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-19 18:47 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 0.13.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 21:38:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2004-11-19 18:47:01 UTC
When accidentally pasting a large amount of text and dragging, vte
crashed when trying to do a strcmp with terminal->pvt->selection. 
has_selection is true so I need to investigate how the two variables
got out of sync.

Comment 1 Behdad Esfahbod 2006-07-27 21:38:52 UTC
I "fixed" this by setting ->has_selection to true after setting ->selection AND
checking ->selection before doing strcmp.

http://cvs.gnome.org/viewcvs/vte/src/vte.c?r1=1.446.2.3&r2=1.446.2.4


Note You need to log in before you can comment on or make changes to this bug.